import * as Websocket from 'ws';
import { type Logger } from '../../types/index.js';
import type { HMR_Data } from '@lwc/lwc-dev-server-types';
/**
 * This class represents a WebSocket connection.
 * It provides methods to marshal and unmarshal data between hmr-client and dev server.
 */
export declare class Connection {
    socket: Websocket.WebSocket;
    logger: Logger;
    constructor(socket: Websocket.WebSocket, logger: Logger);
    close(): void;
    isReady(): boolean;
    send(data: HMR_Data): void;
    receive(callback: (data: HMR_Data) => void): void;
}
